[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

ccc install bombs

Earlier I was running the install for ccc until I find out HP encrypts the CCC rpm the
installer expects with gnupg. When I was trying to do an apt-get install ccc, saturday
I had to abort it when it got the ccc setup and expected the decrypted ccc rpm. 

However, their form mail cgi for submitting a request for a key was broken on saturday,
I emailed their webmaster and amazingly it got fixed yesterday. So, I got a key and
decrypted the rpm package for ccc, then tried to run an apt-get install ccc again.
Said it was already installed, so I did an apt-get remove ccc and then a dpkg --purge
ccc, and did another apt-get install ccc... but now it bombs like this when it gets
to the ccc configure script...

Error: gcc -V 2.95.4 failed to compile and link "int main(int argc, char **argv) {return 0;}".
       The ccc installation expects a working installation of GCC.
gcc: `-V' must come at the start of the command line

If you can correct the problem, you can rerun this script manually
by entering a command in the following format:

    create-comp-config.sh ccc-version [gcc-path]

The current invocation of create-comp-config.sh was:

/usr/lib/compaq/ccc- ccc- 
dpkg: error processing ccc (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

Both gcc-3.3 and gcc-2.95 seem to work and compile things fine.. however it seems the default
output is set to a.out and not ELF (maybe that's normal for linux/alpha but I don't know).

Reply to: